%define ver      0.1.6
%define rel      1
%define prefix   /usr

Summary: GNOME OpenGL virtual desktop switcher
Name:		3ddesktop
Version:	%ver
Release:	%rel
Copyright:	GPL
Group:		User Interface/Desktops
URL:		http://www.systemtoolbox.com/bard/3ddesktop/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Prefix:         %{prefix}
Source:		http://www.systemtoolbox.com/bard/3ddesktop/dl/3ddesktop-%{ver}.tar.gz

Requires: imlib2 >= 1.0.2

%description 
3d Destkop is an OpenGL program for switching virtual desktops in a
seamless 3-dimensional manner. The current desktop is mapped into a 3D
space where you may choose other screens. Several different
visualization modes are available.

%prep
%setup

%build
CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING ChangeLog TODO
%{prefix}/bin/3ddeskd
%{prefix}/bin/3ddesk
%{prefix}/share/3ddesktop/digits
